import { LayoutComponentDefinition } from "@vibentec/component-map"

import { LayoutContext } from "@vibentec/component-map"

export default function VtText({
  nodes,
  context,
}: {
  nodes: LayoutComponentDefinition
  context: LayoutContext
}) {
  const props = nodes.config || {}
  return (
    <span className={props?.className ?? ""}>
      {props?.label ?? ""}
    </span>
  )
}
